import { connect } from 'dva'
import { Form } from 'antd'
import TreeComponent from "../../baseComponents/TreeComponent"

class TreePage extends TreeComponent {
  constructor(props) {
    super(props)
    this.state = {
      formData: {},
      data: {},
      treePage: {},
      treeConfig: {},
      treeLoadParam: {},
      treeSelectedNodeId: {},
      treeExpandedKeys: {}
    }
  }
}

export default connect(({ app, loading, treePage, login, custom }) => ({ app, loading, treePage, login, custom }))(Form.create()(TreePage))
